# Method __builtin.Nettle.Hash()->HMAC.State()->jwk()

Method jwk

  ``mapping`(`string(7bit)`:`string(7bit)`) jwk(`bool`|`void` `private_key`)`

Description

  Generate a JWK-style mapping of the object.

Parameter `private_key`

  Ignored.

Returns

  Returns a JWK-style mapping on success, and `0` (zero) on failure.

See also

  create(), Web.encode_jwk(), RFC 7517 section 4, RFC 7518 section 6.4